Subject: Re: bug#5238: 23.1.50; gzip: stdout: Broken pipe

From: Juri Linkov <[email-masked]>
Date: Sat, 12 Feb 2011 18:02:27 +0200

> Your shell ignores SIGPIPE for interactive sessions.  Gzip checks if
> SIGPIPE is ignored, and if it is not, installs a signal handler that prints
> "gzip: stdout: Broken pipe".  Try
> M-! bash -i -c 'locale -m' RET
>
> That gives some job and terminal control errors from the shell, but no gzip
> messages.  I don't know if ignoring SIGPIPE for subprocesses is the right
> thing for Emacs to do.

Since `M-x shell RET locale -m RET' doesn't display broken pipe errors,
then perhaps `shell-command' should do the same and ignore SIGPIPE,
because the output of `shell-command' and `shell' is expected to be the same.